package de.gefa.rewrite;

import javax.servlet.ServletContext;

import org.ocpsoft.rewrite.annotation.RewriteConfiguration;
import org.ocpsoft.rewrite.config.Configuration;
import org.ocpsoft.rewrite.config.ConfigurationBuilder;
import org.ocpsoft.rewrite.config.Direction;
import org.ocpsoft.rewrite.servlet.config.Forward;
import org.ocpsoft.rewrite.servlet.config.HttpConfigurationProvider;
import org.ocpsoft.rewrite.servlet.config.Path;
import org.ocpsoft.rewrite.servlet.config.Substitute;
import org.ocpsoft.rewrite.servlet.config.rule.Join;

@RewriteConfiguration
public class RewriteConfig extends HttpConfigurationProvider {

	@Override
	public Configuration getConfiguration(ServletContext context) {
		return ConfigurationBuilder.begin()
				.addRule(
						Join.path("/myHtml")
								.to("/html/htmltestpage.html")
				)

				.addRule()
				.when(Direction.isInbound().and(
						Path.matches("/home")))
				.perform(Forward.to("/jsf/startpage.xhtml"))

				.addRule()
				.when(Direction.isOutbound().and(
						Path.matches("/jsf/startpage.xhtml")))
				.perform(Substitute.with("/home"));

	}

	@Override
	public int priority() {
		// TODO Auto-generated method stub
		return 10;
	}

}
